# WiiCR config file

# Notes: 
# 	Do not end directories with a /
# 	Use / not \ as a directory delimiter, eg C:/ not C:\

########################
# OS Specific settings #
########################

# this must point to the local install directory of xampp

$xampp_dir 	= "C:/Program Files/xampp";

# points to xampp's perl exe (or any1 perl exe really)

$perl_exe	= "$xampp_dir/perl/bin/perl";

$sys_shell	= "";		# left blank for win32
#$sys_shell	= "/bin/bash";

###############################
# End of OS Specific settings #
###############################

#####################
# Advanced settings #
#####################

# shoud not need to change these settings, unless you are hacking/ customizing WiiCR

# ------------
# local dirs 

$html_local_dir		= "$xampp_dir/htdocs/wiicr";
$wiicr_local_dir	= "$xampp_dir/htdocs/wiicr";
$theme_local_dir 	= "$wiicr_local_dir/themes/$theme";
$tpl_local_dir		= "$theme_local_dir/tpl";
$cgi_local_dir		= "$wiicr_local_dir";
$flv_local_dir 		= "$wiicr_local_dir/flv";
$tools_local_dir	= "$xampp_dir/wiicr_tools";

$work_dir 		= "$wiicr_local_dir/work";

# -----------
# http dirs

$wiicr_dir		= "/wiicr";
$cgi_dir		= "$wiicr_dir";
$images_dir		= "$wiicr_dir/images";
$theme_dir 		= "$wiicr_dir/themes/$theme";
$tpl_dir		= "$theme_dir/tpl";
$flv_dir 		= "$wiicr_dir/flv";

# -------
# Files

$links 			= "$theme_local_dir/links.txt";
$favourites		= "$wiicr_local_dir/favs.txt";
$mp3_pls 		= "$wiicr_local_dir/mylistdata.xml";
$mp3_txt		= "$wiicr_local_dir/mp3s.txt";

############################
# End of Advanced settings #
############################


1;
